[arch-commits] Commit in gdome2/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Jun 13 08:47:51 EDT 2009


    Date: Saturday, June 13, 2009 @ 08:47:50
  Author: jgc
Revision: 42368

upgpkg: gdome2 0.8.1-2
    Fix FS#15061, use new syntax for libtool deletion, specify mandir

Modified:
  gdome2/trunk/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-13 12:47:18 UTC (rev 42367)
+++ PKGBUILD	2009-06-13 12:47:50 UTC (rev 42368)
@@ -3,18 +3,19 @@
 
 pkgname=gdome2
 pkgver=0.8.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Gnome DOM Engine"
 url="http://gdome2.cs.unibo.it/"
-license="LGPL"
-depends=('libxml2' 'glib2')
+arch=('i686' 'x86_64')
+license=('LGPL')
+depends=('libxml2>=2.7.3' 'glib2>=2.20.3')
+options=(!libtool)
 source=(http://gdome2.cs.unibo.it/tarball/${pkgname}-${pkgver}.tar.gz)
 md5sums=('bfc114e59eec50cbda8e4ece751ff022')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-  find ${startdir}/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list